Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005695 [JEDI VCL] 00 JVCL Components minor always 2011-10-28 14:48 2012-09-10 14:15
Reporter inprosis View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0005695: tjvcolorbutton does not get focus
Description tjvcolorbutton does not get focus from previous field with tab or enter but with Shift tab from next field works fine
Additional Information
Tags No tags attached.
Attached Files rar file icon JVCL-0005695.rar [^] (530,534 bytes) 2012-06-14 16:03

- Relationships
related to 0005920resolvedAHUser jvcolorbutton rendering broken on Enabled toggling 

-  Notes
(0019108)
Arioch (developer)
2011-11-11 19:47

can u double-check this ???
it is weird, it SHOULD NOT acquire focus on Shift+Tab.

What is OS, Delphi and JVCL version.

i try in XE2-Upd2 / Win7x64 / JVCL SVN and it does not acquire focus both directions.

Here there are two bugs i thinks.

1) i can confirm - focus is not acquired on Tab/Shift+Tab. Really stupid bug. Someone changed one place and forgotten another.
Outcome - focus should be acquired in nether directions.
2) i can not confirm - focus is acquired on Shift+Tab while should not, due to 1st bug.
If the 2nd also happens - it should be found ad fixed as well.

------------------

after re-checking Shift+Tab issue - do the following test: at RUNTIME after in TForm.OnShow do ColorButton.TabStop := true;
It should work.
(0019117)
Arioch (developer)
2011-11-17 12:10

So, as no news from topic starter, i believe that we should
1) Make value the same in constructor (TabStop := ...) and class declaration (property TabStop ... default ....)

2) probably make a framework, that will assure that for all components the alues set in constructor match default values from RTTI.
(0019123)
Arioch (developer)
2011-11-23 18:09

please. someone with SVN commit, implement this oneliner please
(0019417)
Arioch (developer)
2012-02-14 11:41

Logging here message from NNTP, so it would not get lost once someone would start rolling-up the tracker into SVN

--------

?? ????: "Tomasz Kaczanowski" <tomasz.kaczanowski@sesto.pl>
???????????: jedi.jvcl
????: JvColorButton
????: Tue, 07 Feb 2012 14:28:10 +0400
URL: 1@jediserver.grizzlydev.com>">news://<jgqu5t$kni$1@jediserver.grizzlydev.com> [1@jediserver.grizzlydev.com>" target="_blank">^]

I've found small problem with this gadget:
- I change status Enebled to False.
- I change status Enabled to True.
- I change color - Showing color is wrong....

I've fixed it for my copy:
part of procedure TJvColorButton.Paint:


if Enabled then
    Frame3D(Canvas, Rec, cl3DDkShadow, cl3DDkShadow, 1)
else
begin
    Frame3D(Canvas, Rec, clBtnShadow, clBtnHighLight, 1);
    Canvas.Brush.Style := bsBDiagonal;
end;

I've changed to:

    if Enabled then
    begin
      Frame3D(Canvas, Rec, cl3DDkShadow, cl3DDkShadow, 1);
      Canvas.Brush.Style := bsSolid;
    end
    else
    begin
      Frame3D(Canvas, Rec, clBtnShadow, clBtnHighLight, 1);
      Canvas.Brush.Style := bsBDiagonal;
    end;

Kaczus
(0019472)
obones (administrator)
2012-02-22 15:17

Please provide the zipped sources of a sample application showing this
(0019896)
obones (administrator)
2012-06-12 10:50

We really need a sample application showing this
(0019997)
Arioch (developer)
2012-06-14 15:52
edited on: 2012-06-14 15:54

> Make value the same in constructor (TabStop := ...) and class declaration (property TabStop ... default ....)

showing what ?

that TabStop has different values in .Create and in default ?
can't u just open and see ?

Afterall that just cannot manifest itself in the project, it would look like incorrectly set properties, just so simple. Design-time errors can hardly be tested in runtime!

(0019998)
Arioch (developer)
2012-06-14 16:03

About what Kaczus wrote - u would read the demo longer than you'd make it.

Buttons 1 and 2 should revert each over, but they do not.


PS. Frankly, diagonal style of "Disabled" button brush is not obvious solution. IT might be bright black stripes over bright black background for example.
The overall "disabled" style should be rethought or maybe even made customized.
(0020011)
obones (administrator)
2012-06-18 11:33

This is now in SVN
(0020027)
Arioch (developer)
2012-06-18 15:48

plz, look attached demo and comments (0019417) and (0019998)

There's more to be fixed in that component.
(0020029)
obones (administrator)
2012-06-25 11:06

Please, one problem, one issue in Mantis

- Issue History
Date Modified Username Field Change
2011-10-28 14:48 inprosis New Issue
2011-10-28 14:48 inprosis IDE version => FPC
2011-10-28 21:40 outchy Project JEDI Code Library => JEDI VCL
2011-11-11 19:47 Arioch Note Added: 0019108
2011-11-17 12:10 Arioch Reproducibility have not tried => always
2011-11-17 12:10 Arioch Status new => acknowledged
2011-11-17 12:10 Arioch Category Miscellanous => 00 JVCL Components
2011-11-17 12:10 Arioch version => Daily / SVN
2011-11-17 12:10 Arioch Note Added: 0019117
2011-11-17 12:10 Arioch Description Updated
2011-11-23 18:09 Arioch Note Added: 0019123
2011-11-24 21:35 Arioch Status acknowledged => closed
2011-11-24 21:36 Arioch Status closed => resolved
2011-11-24 21:36 Arioch Status resolved => feedback
2012-02-14 11:41 Arioch Note Added: 0019417
2012-02-14 11:41 Arioch Status feedback => acknowledged
2012-02-22 15:17 obones Note Added: 0019472
2012-06-12 10:50 obones Note Added: 0019896
2012-06-12 10:50 obones Status acknowledged => feedback
2012-06-14 15:52 Arioch Note Added: 0019997
2012-06-14 15:54 Arioch Note Edited: 0019997
2012-06-14 16:03 Arioch Note Added: 0019998
2012-06-14 16:03 Arioch File Added: JVCL-0005695.rar
2012-06-18 11:33 obones Note Added: 0020011
2012-06-18 11:33 obones Status feedback => resolved
2012-06-18 11:33 obones Fixed in Version => Daily / SVN
2012-06-18 11:33 obones Resolution open => fixed
2012-06-18 11:33 obones Assigned To => obones
2012-06-18 15:48 Arioch Note Added: 0020027
2012-06-18 15:48 Arioch Status resolved => feedback
2012-06-18 15:48 Arioch Resolution fixed => reopened
2012-06-25 11:06 obones Note Added: 0020029
2012-06-25 11:06 obones Status feedback => resolved
2012-06-25 11:06 obones Resolution reopened => fixed
2012-09-10 14:15 obones Fixed in Version Daily / SVN => 3.46
2013-01-15 15:07 obones Relationship added related to 0005920


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker